<template>
  <builder-panel :builder="builder">
    <template v-slot:title>
      <span>DCA</span>
      <span v-if="!builder.points">Draw your timeframe on the chart!</span>
    </template>
    <template v-slot:text>
      <input type="number" min="1" max="2">
    </template>
  </builder-panel>
</template>

<script setup>
import BuilderPanel from "@/components/chart/BuilderPanel.vue";
import {drawShape, ShapeCallback, VerboseCallback} from "@/charts/chart.js";
import {prototype} from "@/common.js";
import {ShapeType} from "@/charts/shape.js";

const props = defineProps(['builder'])

const DCAArtist = prototype(VerboseCallback, {
  onDraw(widget, chart) { console.log('dca start draw') },
  onCreate(widget, chart) { console.log('dca start draw') },
})

drawShape(ShapeType.VLine, prototype(DCAArtist, {}))


</script>

<style scoped lang="scss">

</style>